#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, br = 0, suma = 0;
    cin >> n;
    int x[100005], y, z, p[100005];
    for(int i = 0; i < n; i++)
        cin >> x[i];
    for(int i = 0; i < n; i++){
        cin >> y;
        for(int j = 0; j < n; j++){
            if(x[j] == y){
                p[br++] = i + 1;
            }
        }
    }
    for(int i = 0; i < n; i++){
        cin >> z;
        for(int j = 0; j < br; j++){
            if(p[j] == z){
                suma++;
            }
        }
    }

    cout << suma;

    return 0;
}